SimpleNaturalIdLoadAccess (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Interface SimpleNaturalIdLoadAccess

    public interface SimpleNaturalIdLoadAccess

Loads an entity by its natural identifier

See Also:
  `NaturalId`, `NaturalIdLoadAccess`

Method Summary
`Object` | `getReference(Object naturalIdValue)` Return the persistent instance with the given natural id value, assuming that the instance exists.
`Object` | `load(Object naturalIdValue)` Return the persistent instance with the given natural id value, or `null` if there is no such persistent instance.
`SimpleNaturalIdLoadAccess` | `setSynchronizationEnabled(boolean enabled)` For entities with mutable natural ids, should Hibernate perform "synchronization" prior to performing lookups? The default is to perform "synchronization" (for correctness).
`SimpleNaturalIdLoadAccess` | `with(LockOptions lockOptions)` Specify the `LockOptions` to use when retrieving the entity.

Method Detail

### with

    SimpleNaturalIdLoadAccess with(LockOptions lockOptions)

  Specify the `LockOptions` to use when retrieving the entity.

  Parameters:
    `lockOptions` - The lock options to use.
  Returns:
    `this`, for method chaining

### setSynchronizationEnabled

    SimpleNaturalIdLoadAccess setSynchronizationEnabled(boolean enabled)

  For entities with mutable natural ids, should Hibernate perform "synchronization" prior to performing lookups? The default is to perform "synchronization" (for correctness).

  See `NaturalIdLoadAccess.setSynchronizationEnabled(boolean)` for detailed discussion.

  Parameters:
    `enabled` - Should synchronization be performed? `true` indicates synchronization will be performed; `false` indicates it will be circumvented.
  Returns:
    `this`, for method chaining

### getReference

    Object getReference(Object naturalIdValue)

  Return the persistent instance with the given natural id value, assuming that the instance exists. This method might return a proxied instance that is initialized on-demand, when a non-identifier method is accessed. You should not use this method to determine if an instance exists; to check for existence, use `load(java.lang.Object)` instead. Use this only to retrieve an instance that you assume exists, where non-existence would be an actual error.

  Parameters:
    `naturalIdValue` - The value of the natural-id for the entity to retrieve
  Returns:
    the persistent instance or proxy

### load

    Object load(Object naturalIdValue)

  Return the persistent instance with the given natural id value, or `null` if there is no such persistent instance. If the instance is already associated with the session, return that instance, initializing it if needed. This method never returns an uninitialized instance.

  Parameters:
    `naturalIdValue` - The value of the natural-id for the entity to retrieve
  Returns:
    The persistent instance or `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.